/*
 * 该类主要负责系统主要业务逻辑的实现,如多表处理的事务操作、权限控制等
 * 该类根据具体的业务逻辑来调用该实体对应的Dao或者多个Dao来实现数据库操作
 * 实际的数据库操作在对应的Dao或其他Dao中实现
 */

package com.blueland.bpm.manage.countAnalysis.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.commons.lang3.StringUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.blueland.bpm.identity.RoleService;
import com.blueland.bpm.identity.UserService;
import com.blueland.bpm.identity.dao.UserQueryDao;
import com.blueland.bpm.identity.model.Org;
import com.blueland.bpm.identity.model.Role;
import com.blueland.bpm.identity.model.User;
import com.blueland.bpm.identity.util.IdentityException;
import com.blueland.bpm.manage.countAnalysis.dao.AnalysisDao;

/**
 * @author lw
 * @version 1.0
 * @since
 */
@Service
public class AnalysisService{

	private static final Log logger = LogFactory.getLog(AnalysisService.class);
	@Autowired
	private AnalysisDao analysisDao;
	
	public List<Map<String, Object>> getAppProcessRunIndex(Map<String, Object> params) {
		return analysisDao.getAppProcessRunIndex(params);
	}
	
	public List<Map<String, Object>> getAppProcessLogByYear(Map<String, Object> params) {
		return analysisDao.getAppProcessLogByYear(params);
	}

	public List<Map<String, Object>> getAppProcessLogByDay(Map<String, Object> params) {
		return analysisDao.getAppProcessLogByDay(params);
	}
	
	public List<Map<String, Object>> getProEfficiencyByLine(Map<String, Object> params) {
		return analysisDao.getProEfficiencyByLine(params);
	}
	
	public List<Map<String, Object>> getActInstByProcInstId(Map<String, Object> params) {
		return analysisDao.getActInstByProcInstId(params);
	}
	
	public List<Map<String, Object>> getProcDefEfficiency(Map<String, Object> params) {
		return analysisDao.getProcDefEfficiency(params);
	}
	
	public List<Map<String, Object>> getActDefEfficiency(Map<String, Object> params) {
		return analysisDao.getActDefEfficiency(params);
	}
	
	public List<Map<String, Object>> getOrgEfficiencyLineByInst(Map<String, Object> params) {
		return analysisDao.getOrgEfficiencyLineByInst(params);
	}
	
	public List<Map<String, Object>> getOrgEfficiencyByProInst(Map<String, Object> params) {
		return analysisDao.getOrgEfficiencyByProInst(params);
	}
	
	public List<Map<String, Object>> getProInstEfficiencyByOrg(Map<String, Object> params) {
		return analysisDao.getProInstEfficiencyByOrg(params);
	}
	
	public List<Map<String, Object>> getProInstEfficiencyByOrgPage(Map<String, Object> params) {
		return analysisDao.getProInstEfficiencyByOrgPage(params);
	}
}
